# hex

fun SourceBytes . hex (): String (source)

Converts this byte array to a hexadecimal string representation (lowercase). Each byte is represented as two hex characters.

#### Return

A lowercase hex string (e.g., "48656c6c6f" for "Hello")

fun SourceString . hex (): String (source)

Converts this string to a hexadecimal representation by first encoding it as UTF-8 bytes.

#### Return

A lowercase hex string representation of the UTF-8 encoded bytes